{%- set os=grains['os'] -%}
include:
  - systems.extra.nfs_client

deluge:
  pkg.installed

python2-mako:
  pkg.installed

mount:
  group.present:
    - gid: 503
    - addusers:
      - deluge

fuse:
  pkg.installed

sshfs:
  pkg.installed

{% if not salt['file.directory_exists']('/srv/deluge/.config/deluge') %}
/srv/deluge/.config/deluge:
#  file.directory:
#    - user: deluge
#    - group: deluge
#    - mode: 755
#    - makedirs: true
#    - recurse:
#      - user
#      - group
#      - mode
  file.recurse:
    - source: salt://roles/maintain/deluge/deluge
    - user: deluge
    - group: deluge
    - dir_mode: 0755
    - file_mode: 0644
{% endif %}

/mnt/video:
  mount.mounted:
    - device: mount@host.s.mpp:/mnt/butter/video
    - fstype: fuse.sshfs
    - mkmnt: True
    - opts: delay_connect,x-systemd.automount,_netdev,user,idmap=user,IdentityFile=/root/.ssh/mount_rsa,allow_other,reconnect
    - dump: 0
    - pass_num: 2
    - persist: True

#mount@host.s.mpp:/mnt/butter/video /mnt/video  fuse.sshfs noauto,x-systemd.automount,_netdev,users,idmap=user,IdentityFile=/root/.ssh/mount_rsa,allow_other,reconnect 0 0

#/mnt/video:
#  mount.mounted:
#    - device: host.s.mpp:/video
#    - fstype: nfs
#    - mkmnt: True
#    - opts: defaults,x-systemd.timeout=10,x-systemd.automount
#    - dump: 0
#    - pass_num: 2

deluged:
  service.running:
    - enable: true

deluge-web:
  service.running:
    - enable: true

nginx:
  pkg.installed: []
  service.running:
    - enable: true
    - watch:
      - file: /etc/nginx/conf.d/*
      - file: /etc/nginx/nginx.conf
      - file: /etc/nginx/cert.pem

/etc/nginx/cert.pem:
  file.managed:
    - source: salt://roles/maintain/deluge/nginx.conf
    - user: http
    - group: http
    - mode: 400

/etc/nginx/nginx.conf:
  file.managed:
    - source: salt://roles/maintain/deluge/nginx.conf
    - user: root
    - group: root
    - mode: 644

/etc/nginx/conf.d/:
  file.recurse:
    - source: salt://roles/maintain/deluge/conf.d/
    - user: root
    - group: root
    - dir_mode: 755
    - file_mode: 644
    - clean: true
