php:
  pkg.installed:
    - pkgs:
      - php56
      - php56-fpm
      - php56-ldap
  service.running:
    - name: php56-fpm
    - enable: true
    - watch:
      - file: /etc/php56/php.ini  

ldap-account-manager:
  pkg.installed

/etc/php56/php.ini:
  file.managed:
    - source: salt://roles/maintain/lam/php.ini
    - user: root
    - group: root
    - mode: 644

/etc/nginx/conf.d/lam-server.conf:
  file.managed:
    - source: salt://roles/maintain/lam/lam-server.conf
    - user: root
    - group: root
    - mode: 644

/usr/share/webapps:
  file.directory:
    - user: http
    - group: http
    - recurse:
      - user
      - group

/var/lib/ldap-account-manager:
  file.directory:
    - user: http
    - group: http
#    - mode: 777
    - recurse:
      - user
      - group
#      - mode

/etc/webapps/ldap-account-manager/config.cfg:
  file.managed:
    - source: salt://roles/maintain/lam/config.cfg
    - user: http
    - group: http
    - mode: 644

/etc/webapps/ldap-account-manager:
  file.directory:
    - user: http
    - group: http
    - mode: 775
