openldap_client:
  pkg.installed:
    - pkgs:
      - openldap

/etc/openldap/ldap.conf:
  file.managed:
    - source: salt://systems/core/ldap/ldap.conf
    - user: root
    - group: root
    - mode: 644

sssd:
  pkg.installed: []
  service.running:
    - enable: true
    - watch:
      - file: /etc/sssd/sssd.conf

/etc/sssd/sssd.conf:
  file.managed:
    - source: salt://systems/core/ldap/sssd.conf
    - user: root
    - group: root
    - mode: 600

/etc/nscd.conf:
  file.managed:
    - source: salt://systems/core/ldap/nscd.conf
    - user: root
    - group: root
    - mode: 644

/etc/nsswitch.conf:
  file.managed:
    - source: salt://systems/core/ldap/nsswitch.conf
    - user: root
    - group: root
    - mode: 644


/etc/pam.d:
  file.recurse:
    - source: salt://systems/core/ldap/pam.d
    - user: root
    - group: root
    - dir_mode: 755
    - file_mode: 644
